List messages
curl --request GET \
--url https://magica-backend-oda9.onrender.com/api/v1/chats/{chatId}/messages \
--header 'Authorization: Bearer <token>'import requests
url = "https://magica-backend-oda9.onrender.com/api/v1/chats/{chatId}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://magica-backend-oda9.onrender.com/api/v1/chats/{chatId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "55555555-5555-5555-5555-555555555555",
"chatId": "11111111-1111-4111-8111-111111111111",
"role": "USER",
"status": "SUCCESS",
"contentBlocks": [
{
"type": "text",
"text": "What is in this photo?"
}
],
"createdAt": "2026-09-23T12:00:00.000Z",
"errorCode": null,
"errorMessage": null,
"attachments": [
{
"id": "aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa",
"source": "DIRECT_UPLOAD",
"filename": "photo.jpg",
"mimeType": "image/jpeg",
"url": "https://cdn.example.com/photo.jpg",
"status": "COMPLETE",
"origin": "UPLOAD"
}
]
}
],
"nextCursor": null
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}Messages
List messages
GET
/
chats
/
{chatId}
/
messages
List messages
Authorizations
API key created in the product. Shown once, prefix gxk_live_.